/*******************************************************************************
 * Rozhraní Sifra definuje metody zašifrování a dešifrování vstupního textu.
 *
 * @author    Luboš Pavlíček
 * @version   1.00.000,  20.10.2009
 */
public interface Sifra {
    /***************************************************************************
     * Metoda zašifruje vstupní text.
     * 
     * @param otevrenyText  vstupní nezašifrovaný text
     * @return     zašifrovaný text
     */
    public String zasifruj(String otevrenyText);

    /***************************************************************************
     * Metoda dešifruje vstupní zašifrovaný text.
     * 
     * @param sifrovyText  vstupní zašifrovaný text
     * @return     rozšifrovaný text
     */
    public String desifruj(String sifrovyText);

}